* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: "Montserrat", sans-serif;
}

.main-container {
  width: 90%;
  max-width: 1400px;
  margin: 4rem 0;
}

.lds-ring div {
  box-sizing: border-box;
  display: block;
  width: 64px;
  height: 64px;
  margin: 8px;
  border: 8px solid #f1991e;
  border-radius: 50%;
  animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
  border-color: #f1991e transparent transparent transparent;
}
.lds-ring div:nth-child(1) {
  animation-delay: -0.45s;
}
.lds-ring div:nth-child(2) {
  animation-delay: -0.3s;
}
.lds-ring div:nth-child(3) {
  animation-delay: -0.15s;
}

.fixed {
  position: fixed;
  top: 0;
}

.content__aside {
  position: relative;
}

@keyframes lds-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

/* .activeLikeModal {
  position: relative;
} */

.no-posts-warning {
  text-align: center;
}

.modal__like-config{
  right: 200px !important;
  top: 40px !important;
  padding: 2px 4px;
}

.modal__deslike-config{
  right: 165px !important;
  top: 40px !important;
  padding: 2px 4px;
}

.erro-btn-nao-logado{
  display: none;
  right: 0;
  bottom: 20px;
  position: absolute;
  color: rgb(241, 66, 66);
  font-size: 1rem;
}

.relative{
  position: relative;
}

.container__pageTitle {
  display: flex;
  justify-content: space-between;
  border: 1px solid #f5f5f5;
  background-color: #f5f5f5;
}

.container__pageTitle__orange{
  display: flex;
  justify-content: space-between;
  border: 1px solid #FFAD40;
  background-color: #FFAD40;
  margin-top: 1rem;
}

.container__images {
  padding: 0;
}

.container__pageTitle div, .container__pageTitle__orange div {
  display: flex;
  align-items: center;
  padding: 1.5rem 1rem;
  gap: 0.75rem;
  margin-left: 0.75rem;
}

.container__pageTitle h3{
  text-transform: uppercase;
  font-size: 16px;
}

.container__pageTitle__orange h3 {
  text-transform: uppercase;
  font-size: 16px;
  color: white;
}

.btn__Back {
  display: flex;
  justify-content: center;
}

.form__publicationContent {
  margin: 1rem 0;
}

.form__publicationContent_disabled {
  margin: 0 0 1rem 0;
}

.form__infoTitles,
.ul__imagesPost {
  margin: 0 1rem;
}

.form__infoTitles input {
  width: 100%;
  font-size: 15px;
  margin: 0 0 0 1rem;
  border: none;
  outline: none;
  font-weight: 500;
}

.ul__imagesPost {
  padding: 2.5rem 0 1rem 0;
}

.ul__imagesPost li {
  cursor: pointer;
}

.send__Postbuttons {
  padding: 1rem;
  border-bottom: 1px solid #e4eaef;
}

.title__allPost {
  color: #5283ff;
}

.button__publish {
  cursor: pointer;
  border-radius: 0.2rem;
}

.avatar__iconBorder {
  border: 2px solid #4d606c;
  padding: 3px;
  border-radius: 50%;
}

.avatar__backgroundOrange {
  background: rgb(145, 123, 82);
  width: 60px;
  height: 60px;
  border-radius: 50%;
}

.ul__listStory {
  padding: 1rem;
  list-style: none;
}
.ul__listStory li {
  margin: 0 1rem;
}

.avatar__iconAdd {
  display: flex;
  align-items: start;
  position: relative;
}

.background__orangePerson {
  width: 25px;
  height: 25px;
  background: orange;
  border-radius: 50%;
  position: absolute;
  bottom: 1px;
  margin: 0 0 0 3rem;
}

.title__subPerson {
  font-size: 13px;
  font-weight: 500;
  margin: 0.5rem 0 0 0;
  color: #4d606c;
}

.ul__linksAdvertisement {
  border-top: 1px solid #dddddd;
}

.ul__linksAdvertisement li {
  display: flex;
  align-items: center;
  width: 100%;
  justify-content: center;
  border-bottom: 4px solid #dddddd;
  color: #93a4b0;
  font-weight: 500;
  padding: 1.3rem 0;
  cursor: pointer;
  transition: 0.3s;
}

.ul__linksAdvertisement li img {
  margin: 0 0.5rem 0 0;
}

.ul__linksAdvertisement li:hover {
  color: #fdad1f;
}

.active__li {
  color: #fdad1f !important;
  font-weight: 700;
  border-bottom: 4px solid #fdad1f !important;
}

/* modal config */

.menu__openConfigHomepage {
  cursor: pointer;
}

.menu__directAbout {
  position: relative;
}

.moodal__configNotifications {
  background: #ffffff;
  box-shadow: rgb(100 100 111 / 20%) 0px 7px 29px 0px;
  position: absolute;
  right: 1px;
  top: 25px;
  margin: 0 -20rem 0 0;
  border-radius: 0.5rem;
  display: none;
  z-index: 9;
  padding: 10px 15px;
}

.post__favorite {
  background-color: rgb(255 163 0 / 8%);
}

.btnLikeDislike{
  top: -13px !important;
  right: 14px !important;
}
.modalLikeDislike{
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 999;
}
.modalLikeDislike .conteudoModal{
  margin: 0 -20rem 0 0;
  border-radius: 0.5rem;
  z-index: 999;
  padding: 10px 15px;
  box-shadow: 2px 5px 9px -1px #00000005;
  background: #fff;
  display: flex;
  flex-direction: column;
  position: fixed;
  top: 50% !important;
  left: 50%;
  bottom: 0;
  right: 0;
  width: 100%;
  max-width: 300px;
  height: max-content;
  transform: translate(-50%, -50%);
}
.modalLikeDislike .conteudoModal .titleLike{
  font-size: .9rem;
  color: #222;
  margin-bottom: .7rem;
}
.modalLikeDislike .conteudoModal .btnCarregar, .btnCarregarDislike{
  background: transparent;
  border: none;
  color: #df820b;
  text-decoration: underline;
  padding: 20px;
  cursor: pointer;
}

.modalLikeDislike .conteudoModal .likesModalUl .activeLikeModal{
  position: static !important;
}

.background__modalCard, .background__modalSend, .background__modalEdit {
  background: rgb(0 0 0 / 18%);
}


.liLikeDislike{
  justify-content: initial !important;
  gap: 10px;
}

.modal__configNotifications {
  background: #ffffff;
  box-shadow: rgb(100 100 111 / 20%) 0px 7px 29px 0px;
  position: absolute;
  margin: 0 -20rem 0 0;
  margin-left: -10px;
  margin-top: 25px;
  border-radius: 0.5rem;
  display: none;
  z-index: 9;
}

.ul__modalConfigNotifications {
  list-style: none;
}

.ul__modalConfigNotifications li:last-child {
  border-bottom: 1px solid transparent;
}

.ul__modalConfigNotifications li {
  border-bottom: 1px solid #dddddd;
  display: flex;
  /* justify-content: space-between; */
  gap: 15px;
  align-items: center;
  padding: 1rem 1rem 1rem 0;
  cursor: pointer;
}

.title__nameAboutNotifications {
  padding: 0 6rem 0 0;
}

.title__namePrimary {
  font-weight: 500;
  margin: 0 0 0 1rem;
  color: #575757;
  text-align: start;
  font-size: 15px;
}

.title__namePrimary--red {
  color: #f91155;
}

.activeOpenModalConfig {
  display: flex;
  flex-direction: column;
}

.shareon {
  display: flex;
  justify-content: center;
}

.modal {
  text-align: center !important;
}

.modal h1 {
  font-size: 22px;
  margin-bottom: 20px;
}

.text__active {
  display: block;
}

.text__inactive {
  display: none;
}

.background__titlepostInteractions {
  background: #f0f2f5;
  padding: 1.5rem 1rem;
  border-top: 1px solid #e4eaef;
  border-bottom: 1px solid #e4eaef;
}

.title__postInteractions {
  font-size: 16px;
}

.card__interactions {
  padding: 10rem 0;
}

.background__imageRotate {
  background: #f0f2f5;
  width: 120px;
  height: 120px;
  border-radius: 50%;
}

.title__noInteraction {
  margin: 1.5rem 0;
  font-size: 25px;
}

.title__descriptionInteractionHistory {
  text-align: center;
  max-width: 700px;
  font-size: 18px;
  color: #85898b;
  line-height: 2rem;
}

.ul__listnotifications {
  list-style: none;
}

.ul__listnotifications li {
  padding: 25px;
}

.image__perfilPeople {
  margin-right: 10px;
}

.perfil__interactionPhoto {
  background: orange;
  margin: 0 0.5rem 0 0;
  width: 50px;
  height: 50px;
  border-radius: 50%;
}

.perfil__interactionPhoto {
  background: orange;
  margin: 0 0.5rem 0 0;
  width: 50px;
  height: 50px;
  border-radius: 50%;
}

.perfil__interactionName {
  font-weight: 600;
}

.interaction__imageType {
  position: absolute;
  margin-top: 25px;
  width: 25px;
  height: 25px;
  border-radius: 50%;
  margin-left: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.interaction__imageType {
  position: absolute;
  margin-top: 25px;
  width: 25px;
  height: 25px;
  border-radius: 50%;
  margin-left: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
}

.interaction__backgroundRed {
  background-color: #e3060b;
}

.interaction__backgroundGreen {
  background-color: #16df79;
}

.interaction__backgroundOrange {
  background-color: #df820b;
}

.interactionImage {
  width: 20px;
  height: 20px;
}

.user__suggestions {
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  z-index: 1;
  list-style-type: none;
  padding: 0;
}

.user__suggestion {
  padding: 10px;
  cursor: pointer;
}

.user__suggestion:hover {
  background-color: #f1f1f1;
}

.user__suggestions_modal {
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  z-index: 1;
  list-style-type: none;
  padding: 0;
}

.user__suggestion_modal {
  padding: 10px;
  cursor: pointer;
}

.user__suggestion_modal:hover {
  background-color: #f1f1f1;
}

.user__suggestions_modal_edit {
  display: none;
  position: absolute;
  background-color: #f9f9f9;
  box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  z-index: 1;
  list-style-type: none;
  padding: 0;
}

.user__suggestion_modal_edit {
  padding: 10px;
  cursor: pointer;
}

.user__suggestion_modal_edit:hover {
  background-color: #f1f1f1;
}

.post__lsep {
  border-top: 1px solid #f5f5f5;
}

@media (max-width: 1350px) {
  .main__homePerfil {
    align-items: start;
    justify-content: start;
  }

  .inputSearch,
  .nav__publishMessage {
    width: 100%;
  }

  .inputSearch {
    margin: 0;
  }

  .inputSearch input {
    width: 100%;
  }

  .nav__publishMessage {
    flex-direction: column-reverse;
    align-items: start;
  }

  .separator___twoBar {
    margin: 1rem 0 0 0;
    justify-content: space-between;
    width: 100%;
  }
}

@media (max-width: 725px) {
  .ul__linksAdvertisement {
    flex-direction: column;
  }

  .moodal__configNotifications {
    margin: 2rem -20rem 0 0;
    right: auto;
  }
}

@media (max-width: 425px) {
  .moodal__configNotifications {
    margin: 2rem -15rem 0 0;
  }
}

@media (max-width: 372px) {
  .moodal__configNotifications {
    margin: 2rem -10rem 0 -1rem;
  }
}

@media (max-width: 330px) {
  .moodal__configNotifications {
    margin: 2rem -10rem 0 -2rem;
  }
}

.search-form {
  width: 100%;
  display: flex;
  align-items: center;
}